Name:		minitube
Version:	0.8.1
Release:	1%{?dist}
Summary:	A native YouTube client

Group:		Applications/Internet
License:	GPLv3+
URL:		http://flavio.tordini.org/minitube
Source0:	http://flavio.tordini.org/files/minitube/minitube-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	qt4-devel, kdebase-runtime, phonon-devel
Requires:	kdebase-runtime


%description
Minitube is a native YouTube client. With it you can watch YouTube videos in a
new way: you type a keyword, Minitube gives you an endless video stream.
Minitube does not require the Flash Player.

Minitube is not about cloning the original YouTube web interface, it aims to
create a new TV-like experience.

%prep
%setup -q -n minitube

## to prevent spurious-executable-perm in -debuginfo.
chmod -x src/Constants.h
chmod -x src/main.cpp
chmod -x src/MainWindow.cpp
chmod -x src/ListModel.cpp
chmod -x src/MainWindow.h
chmod -x src/ListModel.h


%build
qmake-qt4 PREFIX=%{_prefix} && make %{?_smp_mflags}


%install
rm -rf %{buildroot}
INSTALL_ROOT=%{buildroot} \
  make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post 
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
   touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
   update-desktop-database -q &> /dev/null
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null

%files
%defattr(-,root,root,-)
%doc CHANGES AUTHORS COPYING TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/*/*/*/minitube*
%{_datadir}/minitube

%changelog
* Wed Nov 18 2009 Thomas Janssen <thomasj@fedoraproject.org> 0.8.1-1
- Initial Fedora release
